#!/usr/env/bin python -B
#
#  AR example version 0.4.0
#  <http://pygame.org/project-AR+example-1622-4243.html>
#
#  An augmented reality and virtual interface example
#  Copyright (C) 2014 slmagik <slmagik@gmail.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program; if not, write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
#
#  VideoCapture by Markus Gritsch is under LGPL 2.1
#


import sys
import os
import platform
sys.dont_write_bytecode = True


if __name__ == '__main__':
	archs = ['32bit', '64bit']
	arch = platform.architecture()[0]
	for path, dirs, files in os.walk(os.getcwd()):
		for node in dirs:
			if node in archs:
				if node == arch:
					sys.path.insert(1, os.path.join(path, node))
			else:
				sys.path.insert(1, os.path.join(path, node))

	if platform.system() == 'Windows':
		from app import windows


	import Queue
	import pygame
	from app.augmented import App
	try:
		app = App()
		app.run()
	finally:
		pygame.quit()